package com.postgres.util.Logger;

public interface Logger
{
    public void log(Throwable value);
    public void log(String value);
    public void log(Object value);

    public void warn(Object value);
    public void warn(Object value, Throwable t);

    public void error(Object value);
    public void error(Object value, Throwable t);

    public void debug(Object value);
    public void debug(Object value, Throwable t);

    public void fatal(Object value);
    public void fatal(Object value, Throwable t);

    public void info(Object value);
    public void info(Object value, Throwable t);
}
